> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取应用参数

> **适用于**：Chatflow、Workflow、新 Agent、聊天助手、Agent、文本生成应用。

获取应用的输入表单配置，包括功能开关、输入参数名称、类型和默认值。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json get /parameters
openapi: 3.0.1
info:
  title: Dify 服务 API
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话消息
    description: 与聊天消息和交互相关的操作。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
  - name: 工作流运行
    description: 用于执行和管理工作流的操作。
  - name: 文本生成消息
    description: 文本生成相关操作。
  - name: 知识库
    description: 用于管理知识库的操作，包括创建、配置和检索。
  - name: 文档
    description: 用于在知识库中创建、更新和管理文档的操作。
  - name: 分段
    description: 用于管理分段和子分段的操作。
  - name: 元数据
    description: 用于管理知识库元数据字段和文档元数据值的操作。
  - name: 标签
    description: 用于管理知识库标签和标签绑定的操作。
  - name: 模型
    description: 用于获取可用模型的操作。
  - name: 知识流水线
    description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
paths:
  /parameters:
    get:
      tags:
        - 应用配置
      summary: 获取应用参数
      description: |-
        **适用于**：Chatflow、Workflow、新 Agent、聊天助手、Agent、文本生成应用。

        获取应用的输入表单配置，包括功能开关、输入参数名称、类型和默认值。
      operationId: getBasicChatAppParametersCn
      responses:
        '200':
          description: 应用参数信息。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppParametersResponse'
              examples:
                appParameters:
                  summary: 响应示例
                  value:
                    opening_statement: Hello! How can I help you today?
                    suggested_questions:
                      - What can you do?
                      - Tell me about your features.
                    suggested_questions_after_answer:
                      enabled: true
                    speech_to_text:
                      enabled: false
                    text_to_speech:
                      enabled: false
                      voice: alloy
                      language: en-US
                      autoPlay: disabled
                    retriever_resource:
                      enabled: true
                    annotation_reply:
                      enabled: false
                    more_like_this:
                      enabled: false
                    sensitive_word_avoidance:
                      enabled: false
                    user_input_form:
                      - text-input:
                          label: City
                          variable: city
                          required: true
                          default: ''
                    file_upload:
                      image:
                        enabled: true
                        number_limits: 3
                        detail: high
                        transfer_methods:
                          - remote_url
                          - local_file
                    system_parameters:
                      file_size_limit: 15
                      image_file_size_limit: 10
                      audio_file_size_limit: 50
                      video_file_size_limit: 100
                      workflow_file_upload_limit: 10
        '400':
          description: |-
            - `app_unavailable` : 应用不可用或配置错误。
            - `agent_not_published` : 绑定的 Agent 尚未发布。（新 Agent 应用）
          content:
            application/json:
              examples:
                app_unavailable:
                  summary: app_unavailable
                  value:
                    status: 400
                    code: app_unavailable
                    message: App unavailable, please check your app configurations.
                agent_not_published:
                  summary: agent_not_published
                  value:
                    code: agent_not_published
                    message: >-
                      Agent has not been published. Please publish the Agent
                      before using the API.
                    status: 400
components:
  schemas:
    AppParametersResponse:
      type: object
      properties:
        opening_statement:
          type: string
          nullable: true
          description: 开场白文本。
        suggested_questions:
          type: array
          items:
            type: string
          description: 建议问题列表。
        suggested_questions_after_answer:
          type: object
          description: 回答后建议问题的配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        speech_to_text:
          type: object
          description: 语音转文字功能配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        text_to_speech:
          type: object
          description: 文字转语音功能配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
            voice:
              type: string
              description: TTS 声音标识符。
            language:
              type: string
              description: TTS 语言。
            autoPlay:
              type: string
              description: 自动播放设置。`enabled` 为自动播放音频，`disabled` 为需要手动播放。
        retriever_resource:
          type: object
          description: 知识检索引用资源配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        annotation_reply:
          type: object
          description: 标注回复功能配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        more_like_this:
          type: object
          description: 更多类似推荐功能配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        sensitive_word_avoidance:
          type: object
          description: 内容审核功能配置。
          properties:
            enabled:
              type: boolean
              description: 是否启用此功能。
        user_input_form:
          type: array
          items:
            type: object
            oneOf:
              - title: Text Input
                type: object
                properties:
                  text-input:
                    type: object
                    properties:
                      label:
                        type: string
                        description: 输入字段的显示标签。
                      variable:
                        type: string
                        description: 工作流中使用的变量名称。
                      required:
                        type: boolean
                        description: 该字段是否必填。
                      default:
                        type: string
                        description: 输入字段的默认值。
              - title: Paragraph
                type: object
                properties:
                  paragraph:
                    type: object
                    properties:
                      label:
                        type: string
                        description: 段落字段的显示标签。
                      variable:
                        type: string
                        description: 工作流中使用的变量名称。
                      required:
                        type: boolean
                        description: 该字段是否必填。
                      default:
                        type: string
                        description: 段落字段的默认值。
              - title: Select
                type: object
                properties:
                  select:
                    type: object
                    properties:
                      label:
                        type: string
                        description: 下拉选择字段的显示标签。
                      variable:
                        type: string
                        description: 工作流中使用的变量名称。
                      required:
                        type: boolean
                        description: 该字段是否必填。
                      default:
                        type: string
                        description: 默认选中的值。
                      options:
                        type: array
                        items:
                          type: string
                        description: 此表单控件的可选值列表。
          description: 用户输入表单配置。
        file_upload:
          type: object
          description: 文件上传配置。
          properties:
            image:
              type: object
              properties:
                enabled:
                  type: boolean
                  description: 是否启用图片上传。
                number_limits:
                  type: integer
                  description: 可上传的最大图片数量。
                detail:
                  type: string
                  description: 视觉模型的图像细节级别。
                transfer_methods:
                  type: array
                  items:
                    type: string
                  description: >-
                    图片上传允许的传输方式。`remote_url` 表示通过文件 URL 上传，`local_file`
                    表示上传本地文件。
        system_parameters:
          type: object
          description: 系统级参数限制。
          properties:
            file_size_limit:
              type: integer
              description: 常规文件最大大小（MB）。
            image_file_size_limit:
              type: integer
              description: 最大图片文件大小（MB）。
            audio_file_size_limit:
              type: integer
              description: 最大音频文件大小（MB）。
            video_file_size_limit:
              type: integer
              description: 最大视频文件大小（MB）。
            workflow_file_upload_limit:
              type: integer
              description: 每次工作流执行的最大文件数量。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**缺少或无效的 API Key 会返回 HTTP
        `401`，错误码为 `unauthorized`。

````